package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 提案人员对象 proposal_user
 * 
 * @author boman
 * @date 2024-03-07
 */
public class ProposalUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;


    /** 提案id */
    @Excel(name = "提案id")
    private Long userId;

    /** 提案id */
    @Excel(name = "提案id")
    private Long proposalId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 职务 */
    @Excel(name = "职务")
    private String unit;

    /** 地址类型 1：领衔，2：附议 */
    @Excel(name = "地址类型 1：领衔，2：附议")
    private String type;

    /** 是否同意联名（0：待选择，1：同意，2：不同意） */
    private String isAgree;

    public String getIsAgree() {
        return isAgree;
    }

    public void setIsAgree(String isAgree) {
        this.isAgree = isAgree;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProposalId(Long proposalId) 
    {
        this.proposalId = proposalId;
    }

    public Long getProposalId() 
    {
        return proposalId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("proposalId", getProposalId())
            .append("name", getName())
            .append("unit", getUnit())
            .append("type", getType())
            .append("remark", getRemark())
            .toString();
    }
}
